Bug 721311

Summary: CVE-2011-2690 CVE-2011-2692 mingw32-libpng various flaws [fedora-all]
Product: [Fedora] Fedora Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: mingw32-libpngAssignee: Richard W.M. Jones <rjones>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 14CC: erik-fedora, fedora-mingw, lfarkas, rjones
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: mingw32-libpng-1.4.8-1.fc14 Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-08-26 18:56:06 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 720607, 720612    

Description Huzaifa S. Sidhpurwala 2011-07-14 09:04:00 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=720607

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]

Comment 1 Huzaifa S. Sidhpurwala 2011-07-14 09:08:22 UTC
    Adding parent bug CVE-2011-2692
    New bodhi update url:
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=720607,720612

Comment 2 Fedora Update System 2011-08-16 07:39:30 UTC
mingw32-libpng-1.4.8-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mingw32-libpng-1.4.8-1.fc14

Comment 3 Fedora Update System 2011-08-16 07:39:56 UTC
mingw32-libpng-1.4.8-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mingw32-libpng-1.4.8-1.fc15

Comment 4 Fedora Update System 2011-08-17 00:53:26 UTC
Package mingw32-libpng-1.4.8-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mingw32-libpng-1.4.8-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/mingw32-libpng-1.4.8-1.fc15
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-08-26 18:56:00 UTC
mingw32-libpng-1.4.8-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-08-26 19:00:00 UTC
mingw32-libpng-1.4.8-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.